Wednesday, October 23, 2013

OS X Maverick pkg_resources.DistributionNotFound: pip==1.1

Kept getting the following issue with PIP and easy_install
Traceback (most recent call last):
  File "/usr/local/bin/pip", line 5, in
    from pkg_resources import load_entry_point
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/", line 2603, in
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/", line 666, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/", line 565, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: pip==1.1
Ran the following to fix it:
sudo python
sudo easy_install -U pip

1 comment:

Anonymous said...

Thank you!